# StatelessFileSharingData class

Implemented types
  - StanzaHandlerExtension

## Constructors

StatelessFileSharingData (FileMetadataData metadata, List <StatelessFileSharingSource> sources, {String? id})
  const
StatelessFileSharingData.fromXML (XMLNode node)
  Parse `node` as a StatelessFileSharingData element.
  factory

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
id → String?
  final
metadata → FileMetadataData
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
sources → List <StatelessFileSharingSource>
  final

## Methods

getFirstUrlSource () → StatelessFileSharingUrlSource?
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited
toXML () → XMLNode

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited